include <DobloFactory/doblo-factory.scad>;
scale = 67;  
pyramid(scale=scale );
module pyramid_side(ywidth=5,xlength=20,zheight=20,ystep=10){
	union()
	{
		translate([0,ystep*(ystep+0.1),25]) //figuring out the right factor for smooth pyramid-style
		{
			for(z=[0:zheight:ystep*zheight])
			{
				for(x=[-xlength*ystep+z:2*xlength:xlength*ystep-z]) //this one ensures that we get a triangular side of a pyramid
				{
					
					translate([x,-(z/zheight)*ystep,z])
					{
						translate([0,-((ystep-ywidth)/2)-ywidth,zheight/2])
 					cube([2*xlength,2*ystep,zheight]);
                        
                        
                        
					}
				}
			}
		}
	}
}
//************************************************
module pyramid(scale=100)
{
	ywidth = scale/200*15;
	ystep = scale/10;
	xlength=scale/10;
	zheight=scale/10;
	for(r=[0:90:359])
	{
		rotate([-2,0,r])
		pyramid_side(ystep=ystep,ywidth=ywidth,xlength=xlength,zheight=zheight);
	}
}
 
 
/* les couloirs */
scale([-10,-10,10])
difference()
{translate([0.25,0.25,-0.25]) cube([10.30,10.25,0.9]);
union(){ 
translate([0.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([1.0,0.5,0]) cube([0.75,0.75,0.75]);
translate([1.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([2.0,0.5,0]) cube([0.75,0.75,0.75]);
translate([2.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([3.0,0.5,0]) cube([0.75,0.75,0.75]);
translate([3.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([4.0,0.5,0]) cube([0.75,0.75,0.75]);
translate([4.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([5.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([6.0,0.5,0]) cube([0.75,0.75,0.75]);
translate([6.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([7.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([8.0,0.5,0]) cube([0.75,0.75,0.75]);
translate([8.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([9.5,0.5,0]) cube([0.75,0.75,0.75]);
translate([0.5,1.0,0]) cube([0.75,0.75,0.75]);
translate([1.5,1.0,0]) cube([0.75,0.75,0.75]);
translate([4.5,1.0,0]) cube([0.75,0.75,0.75]);
translate([5.5,1.0,0]) cube([0.75,0.75,0.75]);
translate([6.5,1.0,0]) cube([0.75,0.75,0.75]);
translate([8.5,1.0,0]) cube([0.75,0.75,0.75]);
translate([9.5,1.0,0]) cube([0.75,0.75,0.75]);
translate([0.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([1.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([2.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([3.0,1.5,0]) cube([0.75,0.75,0.75]);
translate([3.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([4.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([5.0,1.5,0]) cube([0.75,0.75,0.75]);
translate([5.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([6.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([7.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([8.0,1.5,0]) cube([0.75,0.75,0.75]);
translate([8.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([9.0,1.5,0]) cube([0.75,0.75,0.75]);
translate([9.5,1.5,0]) cube([0.75,0.75,0.75]);
translate([1.5,2.0,0]) cube([0.75,0.75,0.75]);
translate([2.5,2.0,0]) cube([0.75,0.75,0.75]);
translate([3.5,2.0,0]) cube([0.75,0.75,0.75]);
translate([5.5,2.0,0]) cube([0.75,0.75,0.75]);
translate([6.5,2.0,0]) cube([0.75,0.75,0.75]);
translate([7.5,2.0,0]) cube([0.75,0.75,0.75]);
translate([9.5,2.0,0]) cube([0.75,0.75,0.75]);
translate([0.5,2.5,0]) cube([0.75,0.75,0.75]);
translate([1.0,2.5,0]) cube([0.75,0.75,0.75]);
translate([1.5,2.5,0]) cube([0.75,0.75,0.75]);
translate([2.5,2.5,0]) cube([0.75,0.75,0.75]);
translate([3.5,2.5,0]) cube([0.75,0.75,0.75]);
translate([4.0,2.5,0]) cube([0.75,0.75,0.75]);
translate([4.5,2.5,0]) cube([0.75,0.75,0.75]);
translate([5.5,2.5,0]) cube([0.75,0.75,0.75]);
translate([6.5,2.5,0]) cube([0.75,0.75,0.75]);
translate([7.0,2.5,0]) cube([0.75,0.75,0.75]);
translate([7.5,2.5,0]) cube([0.75,0.75,0.75]);
translate([8.5,2.5,0.0]) cube([0.75,0.75,0.75]);
translate([9.0,2.5,0.0]) cube([0.75,0.75,0.75]);
translate([9.5,2.5,0.0]) cube([0.75,0.75,0.75]);
translate([0.5,3.0,0.0]) cube([0.75,0.75,0.75]);
translate([4.5,3.0,0.0]) cube([0.75,0.75,0.75]);
translate([6.5,3.0,0.0]) cube([0.75,0.75,0.75]);
translate([8.5,3.0,0.0]) cube([0.75,0.75,0.75]);
translate([0.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([1.0,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([1.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([2.0,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([2.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([3.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([4.0,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([4.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([5.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([6.0,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([6.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([7.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([8.0,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([8.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([9.5,3.5,0.0]) cube([0.75,0.75,0.75]);
translate([2.5,4.0,0.0]) cube([0.75,0.75,0.75]);
translate([3.5,4.0,0.0]) cube([0.75,0.75,0.75]);
translate([5.5,4.0,0.0]) cube([0.75,0.75,0.75]);
translate([7.5,4.0,0.0]) cube([0.75,0.75,0.75]);
translate([9.5,4.0,0.0]) cube([0.75,0.75,0.75]);
translate([0.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.0,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.0,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.0,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.0,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.0,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,4.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,5.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,5.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,5.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,5.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.5,5.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.5,5.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.0,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.0,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.0,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.0,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,5.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,6.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,6.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,6.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.5,6.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.5,6.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,6.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.0,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.0,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.0,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.0,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.0,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,6.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.5,7.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,7.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,7.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.0,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.0,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.0,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.0,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.0,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.0,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.0,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,7.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,8.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,8.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.5,8.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.5,8.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.0,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.0,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.0,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.0,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.0,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,8.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,9.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,9.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,9.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.5,9.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,9.0,0.0], center=true) cube([0.75,0.75,0.75]);
translate([0.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.0,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([1.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([2.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.0,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([3.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.0,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([4.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([5.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.0,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([6.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.0,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([7.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.0,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([8.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.0,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
translate([9.5,9.5,0.0], center=true) cube([0.75,0.75,0.75]);
doblo(col=-30, row=-3, nibbles_on_off=false, length=6, width=8,height=2, up=-2);

 }}
 

 