 scale = 67;  
pyramid(scale=scale );
module pyramid_side(ywidth=5,xlength=20,zheight=20,ystep=10){
	union()
	{
		translate([0,ystep*(ystep+0.1),25]) //figuring out the right factor for smooth pyramid-style
		{
			for(z=[0:zheight:ystep*zheight])
			{
				for(x=[-xlength*ystep+z:2*xlength:xlength*ystep-z]) //this one ensures that we get a triangular side of a pyramid
				{
					
					translate([x,-(z/zheight)*ystep,z])
					{
						translate([0,-((ystep-ywidth)/2)-ywidth,zheight/2])
 					cube([2*xlength,2*ystep,zheight]);
                        
                        
                        
					}
				}
			}
		}
	}
}
//************************************************
module pyramid(scale=100)
{
	ywidth = scale/200*15;
	ystep = scale/10;
	xlength=scale/10;
	zheight=scale/10;
	for(r=[0:90:359])
	{
		rotate([-2,0,r])
		pyramid_side(ystep=ystep,ywidth=ywidth,xlength=xlength,zheight=zheight);
	}
}
 